Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Defines
lubyrack.h File Reference
`#include "simple.h"`
`#include "secblock.h"`

Go to the source code of this file.

## Classes

struct | DigestSizeDoubleWorkaround< T >
struct | LR_Info< T >
| algorithm info More...
class | LR< T >
| Luby-Rackoff. More...
class | LR< T >::Base
class | LR< T >::Enc
class | LR< T >::Dec

## Defines

#define | KL this->key
#define | KR this->key+this->L
#define | BL this->buffer
#define | BR this->buffer+this->S
#define | IL inBlock
#define | IR inBlock+this->S
#define | OL outBlock
#define | OR outBlock+this->S

## Detailed Description

Definition in file lubyrack.h.